| Home | Libraries | People | FAQ | More

### time_traits< boost::posix_time::ptime >

Time traits specialised for posix_time.

    template<>
    struct time_traits< boost::posix_time::ptime >

##### Types

Name | Description
--- | ---
duration_type | The duration type.
time_type | The time type.

##### Member Functions

Name | Description
--- | ---
add | Add a duration to a time.
less_than | Test whether one time is less than another.
now | Get the current time.
subtract | Subtract one time from another.
to_posix_duration | Convert to POSIX duration type.